--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================	
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 							IconSize, 	Filename, 							IconsPerRow, 	IconsPerColumn)
VALUES	('ATLAS_CLOCK', 					256, 		'clock_tower_256.dds',				1,				1),
		('ATLAS_CLOCK',						128, 		'clock_tower_128.dds',				1, 				1),
		('ATLAS_CLOCK',						80, 		'clock_tower_80.dds',				1, 				1),
		('ATLAS_CLOCK', 					64, 		'clock_tower_64.dds',				1, 				1),
		('ATLAS_CLOCK', 					45, 		'clock_tower_45.dds',				1, 				1),
		('ATLAS_CLOCK', 					32, 		'clock_tower_32.dds',				1, 				1);
--==========================================================================================================================	
-- Buildings
--==========================================================================================================================	
INSERT INTO BuildingClasses 		
		(Type, 						 	DefaultBuilding, 		Description)
VALUES	('BUILDINGCLASS_CLOCKTOWER', 	'BUILDING_CLOCKTOWER', 	'TXT_KEY_BUILDING_CLOCKTOWER');

INSERT INTO Buildings
		(Type, 					BuildingClass, 				PrereqTech, 		Description, 					Help,								Civilopedia, 						Strategy, 								GoldMaintenance, Cost, HurryCostModifier, ConquestProb, MinAreaSize, PortraitIndex, IconAtlas)
VALUES	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_CLOCKTOWER',	'TECH_MACHINERY',	'TXT_KEY_BUILDING_CLOCKTOWER', 'TXT_KEY_BUILDING_CLOCKTOWER_HELP','TXT_KEY_BUILDING_CLOCKTOWER_TEXT', 'TXT_KEY_BUILDING_CLOCKTOWER_STRATEGY',			0,		  350,		-10,				66,			-1, 			0, 'ATLAS_CLOCK');

INSERT INTO Building_YieldChanges
	(BuildingType, YieldType, Yield)
VALUES
	('BUILDING_CLOCKTOWER', 'YIELD_GOLDEN_AGE_POINTS', 1),
	('BUILDING_CLOCKTOWER', 'YIELD_CULTURE', 1);
	
--INSERT INTO Building_YieldModifiers
--	(BuildingType, YieldType, Yield) VALUES
--	('BUILDING_CLOCKTOWER', 'YIELD_GOLD', 		5),
--	('BUILDING_CLOCKTOWER', 'YIELD_PRODUCTION', 5);

INSERT INTO Building_YieldChangesPerPop	
	(BuildingType, YieldType, Yield) VALUES
--	('BUILDING_CLOCKTOWER', 'YIELD_GOLD', 		14),
	('BUILDING_CLOCKTOWER', 'YIELD_PRODUCTION', 14);

INSERT INTO Building_BuildingClassLocalYieldChanges
	(BuildingType, BuildingClassType, YieldType, YieldChange)
VALUES
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_WORKSHOP', 'YIELD_PRODUCTION', 1),
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_HARBOR', 'YIELD_PRODUCTION', 1),
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_UNIVERSITY', 'YIELD_SCIENCE', 1),
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_GROCER', 'YIELD_GOLD', 1),
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_MARKET', 'YIELD_GOLD', 1),
	('BUILDING_CLOCKTOWER', 'BUILDINGCLASS_CHANCERY', 'YIELD_CULTURE', 1);

INSERT INTO Building_Flavors
	(BuildingType, FlavorType, Flavor)
VALUES
	('BUILDING_CLOCKTOWER', 'FLAVOR_GOLD', 30),
	('BUILDING_CLOCKTOWER', 'FLAVOR_PRODUCTION', 30),
	('BUILDING_CLOCKTOWER', 'FLAVOR_SCIENCE', 5),
	('BUILDING_CLOCKTOWER', 'FLAVOR_CULTURE', 5);

INSERT INTO Language_en_US (Tag, Text)
VALUES
('TXT_KEY_BUILDING_CLOCKTOWER', 'Clock Tower'),
('TXT_KEY_BUILDING_CLOCKTOWER_HELP', '+1[ICON_GOLDEN_AGE] Golden Age Point, +1[ICON_PRODUCTION] Production every 7[ICON_CITIZEN] Citizens in the City.[NEWLINE]It enhances the following buildings in the City:[NEWLINE]Chancery: +1[ICON_CULTURE][NEWLINE]Workshop and Harbor: +1[ICON_PRODUCTION][NEWLINE]Market and Grocer: +1[ICON_GOLD][NEWLINE]University: +1[ICON_RESEARCH]'),
('TXT_KEY_BUILDING_CLOCKTOWER_TEXT', 'The introduction of public mechanical clocks can first be observed during the late 13th century. These clocks were typically built on church towers or the communal tower of the town, and they were mechanical devices that produced a weight-driven acoustic signal every hour. Thus, early mechanical clocks did not have a dial but worked only with a bell. The day was typically divided into two units of twelve and the bells rang accordingly as many times. In this way, the clocks were publicly accessible and easy for everyone to understand. A person only had to listen to the chime and have the ability to count. [NEWLINE][NEWLINE]Dohrn-van Rossum (1996) identifies the time interval from the first adoptions to 1450 as the period of the early adoption of public mechanical clocks. In addition, he divides these decades into three phases based on the areas and intensity of diffusion in Europe. The first adoption phase covers the period until 1350. During that time, the few public mechanical clocks were mainly built in cities in Italy in the area of the Papal States and Northern Italy (which partly belonged to the Holy Roman Empire), in England, and in the Holy Roman Empire north of the Alps. In the second phase, 1350-1370, a stronger diffusion in the mentioned areas can be found. Further diffusion in French and Dutch cities can be observed. In addition, a few observations in Spain and Sicily are documented. Finally, in the third phase, 1370-1450, further and strongly booming diffusion in the already covered areas is documented. Furthermore, in neighboring eastern European areas and Scandinavia, the diffusion process also began.[NEWLINE]The motivation for the diffusion of public clocks in late medieval towns (at least during the 14th century) was mainly prestige. The clocks were financed by worldly and ecclesiastical dukes and other wealthy noblemen of the towns. Clocks were the pride of the cities and showed the openness and progressiveness of a town. Economic motivations in terms of merchants needs cannot be identified in corresponding source material during this early phase of adoption and only evolved over time.[NEWLINE][NEWLINE]Clocks had an effect on the organization and coordination of daily life activities with respect to economic, administrative and educational tasks. There exists broad evidence from the 15th century onwards that the public clocks were used to coordinate such activities in many cities.[NEWLINE]The organization of markets neatly documents this change. Whereas prior to public clocks, the market time typically started with sunset and ended at noon, with the introduction of clocks, market times were determined by the stroke of the hour.[NEWLINE]Furthermore, we find evidence for the tight organization of administrative meetings of town officials following the signals of the public clock.[NEWLINE]Finally, schools and universities started using the public clocks to determine the starting and ending time of lectures.[NEWLINE][NEWLINE]There were several economic benefits of such improvements of organization and coordination. First, the precise public indication of time reduced the urban populations search, match, and waiting time. This enabled people to better plan activities and have more time to do other tasks.[NEWLINE]A precise meeting time in markets, the town hall, or educational institutions could create better human capital spillover effects within the meeting groups. The division of education into single hours allowed to create schedules with alternating easier and more difficult subjects, making the learning experience more productive.[NEWLINE]Furthermore, clocks enabled the coordination and monitoring of production activities. Whereas the use of church clocks and special work clocks as signaling devices had previously been used to determine the starting and ending time of the day for specific working groups, the public mechanical clock could now precisely measure the working time and breaks and enable payment by the hour or the payment of overtime hours. The public mechanical clock was particularly introduced for simple tasks, for which monitoring and payment by the hour were meaningful. For instance, Landes argues that it must have been particularly useful in the booming textile ”industry” of the time. Another well-documented sector was large construction sites, such as those for domes or cathedrals, where many workers had to be coordinated and monitored at the same time.'),
('TXT_KEY_BUILDING_CLOCKTOWER_STRATEGY', 'The Clock Tower is a late Medieval-era building which enhances productivity helping your City grow more quickly, and improves the yields of City''s Chancery, Grocer, Harbor, Market, University and Workshop.');